Skip to main content
`Ctrl`+`K`

# PetscViewerGLVisSetPrecision

Set the number of digits for floating point values to be displayed

## Synopsis

    #include "petscviewer.h"
    #include "petscsys.h"
    PetscErrorCode PetscViewerGLVisSetPrecision(PetscViewer viewer, PetscInt prec)

Not Collective

## Input Parameters

- viewer - the `PetscViewer` of type `PETSCVIEWERGLVIS`

- prec - the number of digits required

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERGLVIS`, `PetscViewerGLVisOpen()`, `PetscViewerGLVisSetFields()`, `PetscViewerCreate()`, `PetscViewerSetType()`

## Level

beginner

## Location

src/sys/classes/viewer/impls/glvis/glvis.c

## Implementations

PetscViewerGLVisSetPrecision_GLVis() in src/sys/classes/viewer/impls/glvis/glvis.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages